diff -ruN ../nakedmudv3.7.9/src/alias/alias.c src/alias/alias.c
--- ../nakedmudv3.7.9/src/alias/alias.c	2009-03-02 01:00:31.000000000 -0500
+++ src/alias/alias.c	2009-04-04 20:51:16.000000000 -0400
@@ -378,9 +378,16 @@
   add_cmd("alias", NULL, cmd_alias, "player", TRUE);
 
   // Python extensions
-  PyChar_addMethod("get_alias", PyChar_GetAlias,   METH_VARARGS, NULL);
-  PyChar_addMethod("set_alias", PyChar_SetAlias,   METH_VARARGS, NULL);
-  PyChar_addGetSetter("aliases",PyChar_GetAliases, NULL,         NULL);
+  PyChar_addMethod("get_alias", PyChar_GetAlias,   METH_VARARGS, 
+    "get_alias(name)\n"
+    "\n"
+    "Return character's alias by the specified name, or None.");
+  PyChar_addMethod("set_alias", PyChar_SetAlias,   METH_VARARGS, 
+    "set_alias(name, value)\n"
+    "\n"
+    "Set a character's alias. Value must be a string.");
+  PyChar_addGetSetter("aliases",PyChar_GetAliases, NULL, 
+    "A list of all aliases the character currently has defined. Immutable.");
 }
 
 
diff -ruN ../nakedmudv3.7.9/src/buffer.c src/buffer.c
--- ../nakedmudv3.7.9/src/buffer.c	2009-03-02 01:00:31.000000000 -0500
+++ src/buffer.c	2009-03-16 03:18:44.000000000 -0400
@@ -56,6 +56,12 @@
   buf->len += txtlen;
 }
 
+void        bufferCatCh (BUFFER *buf, const char ch) {
+  static char tmp[2];
+  tmp[0] = ch; tmp[1] = '\0';
+  bufferCat(buf, tmp);
+}
+
 void        bufferClear (BUFFER *buf) {
   *buf->data = '\0';
   buf->len = 0;
diff -ruN ../nakedmudv3.7.9/src/buffer.h src/buffer.h
--- ../nakedmudv3.7.9/src/buffer.h	2009-03-02 01:00:31.000000000 -0500
+++ src/buffer.h	2009-03-16 03:18:44.000000000 -0400
@@ -18,6 +18,7 @@
 
 // concatinate the text to the end of the buffer
 void        bufferCat   (BUFFER *buf, const char *txt);
+void        bufferCatCh (BUFFER *buf, const char ch);
 
 // clear the buffer's contents
 void bufferClear(BUFFER *buf);
diff -ruN ../nakedmudv3.7.9/src/event.h src/event.h
--- ../nakedmudv3.7.9/src/event.h	2006-07-08 21:51:45.000000000 -0400
+++ src/event.h	2009-03-17 17:07:14.000000000 -0400
@@ -49,8 +49,7 @@
 // check_involvement must be a function that takes the thing to check
 // the involvement of as the first argument, and the data to check in
 // as its second argument. It must return TRUE if the data contains
-// a pointer to the thing, and FALSE otherwise. See admin.c (cmd_devent)
-// for an example of how this works. 
+// a pointer to the thing, and FALSE otherwise.
 //
 void start_event(void *owner, 
 		 int   delay,
diff -ruN ../nakedmudv3.7.9/src/handler.c src/handler.c
--- ../nakedmudv3.7.9/src/handler.c	2009-03-02 01:00:32.000000000 -0500
+++ src/handler.c	2009-03-21 02:12:00.000000000 -0400
@@ -489,17 +489,30 @@
 //*****************************************************************************
 // functions related to equipping and unequipping items
 //*****************************************************************************
+
+//
+// if we're equipping by the specific name of positions, by_name should be TRUE.
+// If instead we are equipping by the TYPE of position, by_name should be FALSE
+bool do_equip(CHAR_DATA *ch, OBJ_DATA *obj, const char *pos, bool by_name) {
+  if((by_name  && bodyEquipPosnames(charGetBody(ch), obj, pos)) ||
+     (!by_name && bodyEquipPostypes(charGetBody(ch), obj, pos))) {
+    objSetWearer(obj, ch);
+    return TRUE;
+  }
+  return FALSE;
+}
+
 bool try_equip(CHAR_DATA *ch, OBJ_DATA *obj, const char *wanted_pos,
 	       const char *required_pos) {
   bool success = FALSE;
 
   // if we don't need any specific places, try equipping to our wanted spots
   if(!required_pos || !*required_pos)
-    success = bodyEquipPosnames(charGetBody(ch), obj, wanted_pos);
+    success = do_equip(ch, obj, wanted_pos, TRUE);
 
   // if we don't want any specific places, equip to whatever is open
   else if(!wanted_pos || !*wanted_pos)
-    success = bodyEquipPostypes(charGetBody(ch), obj, required_pos);
+    success = do_equip(ch, obj, required_pos, FALSE);
 
   // otherwise, see if the places we want to equip to match what we need,
   // and also make sure we're not trying to equip the same position twice
@@ -539,15 +552,16 @@
 
     // if we didn't run into problems, try equipping
     if(match == TRUE)
-      success = bodyEquipPosnames(charGetBody(ch), obj, wanted_pos);
+      success = do_equip(ch, obj, wanted_pos, TRUE);
   }
 
   if(success == TRUE)
-    objSetWearer(obj, ch);
+    hookRun("equip", hookBuildInfo("ch obj", ch, obj));
+
   return success;
 }
 
-bool try_unequip(CHAR_DATA *ch, OBJ_DATA *obj) {
+bool do_unequip(CHAR_DATA *ch, OBJ_DATA *obj) {
   if(bodyUnequip(charGetBody(ch), obj)) {
     objSetWearer(obj, NULL);
     return TRUE;
@@ -555,6 +569,22 @@
   return FALSE;
 }
 
+bool try_unequip(CHAR_DATA *ch, OBJ_DATA *obj) {
+  if(objGetWearer(obj) == ch) {
+    hookRun("pre_unequip", hookBuildInfo("ch obj", ch, obj));
+
+    // if wearer == ch, this should never fail
+    bool success = do_unequip(ch, obj);
+
+    if(success == TRUE)
+      hookRun("unequip", hookBuildInfo("ch obj", ch, obj));
+    else
+      log_string("ERROR: failed to unequip obj when wearer == ch");
+    return success;
+  }
+  return FALSE;
+}
+
 //
 // unequip everything the character is wearing, and put it to his or her inv
 //
@@ -562,10 +592,8 @@
   LIST      *eq = bodyGetAllEq(charGetBody(ch));
   OBJ_DATA *obj = NULL;
   while( (obj = listPop(eq)) != NULL) {
-    if(bodyUnequip(charGetBody(ch), obj)) {
-      objSetWearer(obj, NULL);
+    if(do_unequip(ch, obj))
       obj_to_char(obj, ch);
-    }
   } deleteList(eq);
 }
 
diff -ruN ../nakedmudv3.7.9/src/handler.h src/handler.h
--- ../nakedmudv3.7.9/src/handler.h	2008-12-03 15:19:26.000000000 -0500
+++ src/handler.h	2009-03-21 02:12:56.000000000 -0400
@@ -69,9 +69,12 @@
 void      char_from_furniture (CHAR_DATA *ch);
 void      char_to_furniture   (CHAR_DATA *ch, OBJ_DATA *furniture);
 
+bool      do_equip          (CHAR_DATA *ch, OBJ_DATA *obj, const char *pos, 
+			     bool by_name);
 bool      try_equip         (CHAR_DATA *ch, OBJ_DATA *obj, 
 			     const char *wanted_pos, const char *required_pos);
 bool      try_unequip       (CHAR_DATA *ch, OBJ_DATA *obj);
+bool      do_unequip        (CHAR_DATA *ch, OBJ_DATA *obj);
 void      unequip_all       (CHAR_DATA *ch);
 
 
diff -ruN ../nakedmudv3.7.9/src/help2/help.c src/help2/help.c
--- ../nakedmudv3.7.9/src/help2/help.c	2009-03-02 01:00:32.000000000 -0500
+++ src/help2/help.c	2009-04-05 15:46:23.000000000 -0400
@@ -227,9 +227,10 @@
   char            *kwd = NULL;
   ITERATE_LIST(kwd, kwd_i) {
     // remove any old copy we might of had
-    HELP_DATA *old = nearMapRemove(help_table, kwd);
-    if(old != NULL)
-      deleteHelp(old);
+    // HELP_DATA *old = nearMapRemove(help_table, kwd);
+    // if(old != NULL)
+    //   deleteHelp(old);
+    nearMapRemove(help_table, kwd);
     
     // put our new entry
     nearMapPut(help_table, kwd, NULL, data);
@@ -453,9 +454,14 @@
 
   // add all of our Python hooks
   PyMudSys_addMethod("add_help", PyMudSys_add_help, METH_VARARGS, 
-		     "allows Python modules to add non-persistent helpfiles.");
-  PyMudSys_addMethod("get_help", PyMudSys_get_help, METH_VARARGS, 
-		     "returns info for the help file.");
+    "add_help(keywords, info, user_groups='', related='')\n\n"
+    "Add a new, non-persistent helpfile to the mud's help database.");
+  PyMudSys_addMethod("get_help", PyMudSys_get_help, METH_VARARGS,
+    "get_help(keyword)\n\n"
+    "Returns a tuple of a helpfile's keywords, info, user_groups, and related\n"
+    "or None if the helpfile does not exist.");
   PyMudSys_addMethod("list_help", PyMudSys_list_help, METH_VARARGS,
-		     "Returns all help topics. If a partial keyword is supplied, only return partial matches.");
+    "list_help(keyword='')\n\n"
+    "Returns a list of helpfiles that match the specified keyword. If no\n"
+    "keywordi s supplied, return all helpfiles.");
 }
diff -ruN ../nakedmudv3.7.9/src/inform.h src/inform.h
--- ../nakedmudv3.7.9/src/inform.h	2006-07-08 21:51:45.000000000 -0400
+++ src/inform.h	2009-03-14 21:18:38.000000000 -0400
@@ -29,8 +29,8 @@
 // Send a message out
 //
 // Converts the following symbols:
-//  $c = ch name
-//  $C = vict name
+//  $n = ch name
+//  $N = vict name
 //  $m = him/her of char
 //  $M = him/her of vict
 //  $s = his/hers of char
diff -ruN ../nakedmudv3.7.9/src/items/container.c src/items/container.c
--- ../nakedmudv3.7.9/src/items/container.c	2008-12-03 04:15:08.000000000 -0500
+++ src/items/container.c	2009-04-04 22:42:26.000000000 -0400
@@ -523,22 +523,24 @@
   // set up the container OLC too
   item_add_olc("container", iedit_container_menu, iedit_container_chooser, 
   	       iedit_container_parser, NULL, container_to_proto);
+
+  // set up our Python extensions
   PyObj_addGetSetter("container_capacity",
-		     PyObj_getcontainercapacity, PyObj_setcontainercapacity,
-		     "Sets the maximum amount of weight the container holds.");
+    PyObj_getcontainercapacity, PyObj_setcontainercapacity,
+    "The maximum amount of weight c container can hold.");
   PyObj_addGetSetter("container_key", 
-		     PyObj_getcontainerkey, PyObj_setcontainerkey,
-		     "The key that opens the container.");
+    PyObj_getcontainerkey, PyObj_setcontainerkey,
+    "An object prototype that acts as a key for this container.");
   PyObj_addGetSetter("container_pick_diff",
-		     PyObj_getcontainerpickdiff, PyObj_setcontainerpickdiff,
-		     "The picking difficulty of the container,");
+    PyObj_getcontainerpickdiff, PyObj_setcontainerpickdiff,
+    "An integer representing how difficult a container's lock is to pick.");
   PyObj_addGetSetter("container_is_closable", 
-		     PyObj_getcontainerclosable, PyObj_setcontainerclosable,
-		     "true or false if the container can be closed.");
+    PyObj_getcontainerclosable, PyObj_setcontainerclosable,
+    "True or False if the container can be closed.");
   PyObj_addGetSetter("container_is_closed", 
-		     PyObj_getcontainerclosed, PyObj_setcontainerclosed,
-		      "true or false if the container is closed.");
+    PyObj_getcontainerclosed, PyObj_setcontainerclosed,
+    "True or False if the container is closed.");
   PyObj_addGetSetter("container_is_locked", 
-		     PyObj_getcontainerlocked, PyObj_setcontainerlocked,
-		      "true or false if the container is locked.");
+    PyObj_getcontainerlocked, PyObj_setcontainerlocked,
+    "True or False if the container is locked.");
 }
diff -ruN ../nakedmudv3.7.9/src/items/furniture.c src/items/furniture.c
--- ../nakedmudv3.7.9/src/items/furniture.c	2008-12-03 04:15:37.000000000 -0500
+++ src/items/furniture.c	2009-04-04 22:46:03.000000000 -0400
@@ -312,8 +312,8 @@
 
   // add our getters and setters for furniture
   PyObj_addGetSetter("furniture_capacity", 
-		     PyObj_getfurncapacity, PyObj_setfurncapacity,
-		     "The capacity of a furniture object.");
+    PyObj_getfurncapacity, PyObj_setfurncapacity,
+    "The number of characters a furniture object can accomodate.");
   PyObj_addGetSetter("furniture_type", PyObj_getfurntype, PyObj_setfurntype,
-		     "The type of furniture this is: 'at' or 'on'.");
+    "The type of furniture this is: 'at' or 'on' like e.g., tables vs. couches.");
 }
diff -ruN ../nakedmudv3.7.9/src/items/items.c src/items/items.c
--- ../nakedmudv3.7.9/src/items/items.c	2009-03-02 01:00:38.000000000 -0500
+++ src/items/items.c	2009-04-04 22:37:51.000000000 -0400
@@ -341,11 +341,20 @@
     return NULL;
   }
 
+  // make sure the object exists
+  if(obj == NULL) {
+    PyErr_Format(PyExc_TypeError, "Tried to get type data for non-existent object.");
+    return NULL;
+  }
+
   // make sure it's Python data
   fdata = hashGet(type_table, type);
   if(fdata == NULL || fdata->type == ITYPE_C)
-    return Py_BuildValue("O", Py_None);
-  return Py_BuildValue("O", objGetTypeData(obj, type));
+    return Py_BuildValue("");
+  
+  // make sure this item actually has the relevant type data
+  PyObject *tdata = objGetTypeData(obj, type);
+  return Py_BuildValue("O", (tdata == NULL ? Py_None : tdata));
 }
 
 PyObject *PyObj_istype(PyObject *self, PyObject *args) {  
@@ -420,17 +429,27 @@
 
   // initialize Python mudsys methods
   PyMudSys_addMethod("item_add_type", PyMudSys_ItemAddType, METH_VARARGS,
-		     "add a new type of item to the game");
+		     "item_add_type(name, type_data)\n"
+		     "\n"
+		     "Register a new item type and its data.");
 
   // initialize Python pyobj methods
   PyObj_addMethod("get_type_data", PyObj_GetTypeData, METH_VARARGS,
-		  "Returns the Python data associated with the item type.");
+    "get_type_data(item_type)\n"
+    "\n"
+    "Returns Python item type data if it exists, or None.");
   PyObj_addMethod("istype", PyObj_istype, METH_VARARGS,
-		  "checks to see if the object is of the specified type");
+    "istype(item_type)\n"
+    "\n"
+    "Returns True or False if the object is of the specified item type.");
   PyObj_addMethod("settype", PyObj_settype, METH_VARARGS,
-		  "the object will become of the specified type");
+    "settype(item_type)\n"
+    "\n"
+    "Make an object be the specified item type.");
   PyObj_addMethod("get_types", PyObj_get_types, METH_NOARGS,
-		  "returns a list of the types this object is");
+    "get_types()\n"
+    "\n"
+    "Returns a comma-separated list of item types this object has.");
   // do we need a deltype as well?
   //***********
   // FINISH ME
diff -ruN ../nakedmudv3.7.9/src/items/portal.c src/items/portal.c
--- ../nakedmudv3.7.9/src/items/portal.c	2009-03-02 01:00:38.000000000 -0500
+++ src/items/portal.c	2009-04-04 22:44:46.000000000 -0400
@@ -399,13 +399,14 @@
 
   // make it so we can set portal destinations in scripts
   PyObj_addGetSetter("portal_dest", PyObj_getportaldest, PyObj_setportaldest,
-		     "the database key of the room we're going to.");
+    "A string key specifying the destination of the portal. Can be set by\n"
+    "a string or the actual room.");
   PyObj_addGetSetter("portal_enter_mssg", 
-		     PyObj_getportalentermssg, PyObj_setportalentermssg,
-		     "The message shown when user enters a new room.");
+    PyObj_getportalentermssg, PyObj_setportalentermssg,
+    "The message shown to the desination room when a character enters portal.");
   PyObj_addGetSetter("portal_leave_mssg", 
-		     PyObj_getportalleavemssg, PyObj_setportalleavemssg,
-		     "The message shown when user leaves a room.");
+    PyObj_getportalleavemssg, PyObj_setportalleavemssg,
+    "The message shown to a room after a character leaves it via a portal.");
 
   add_cmd("enter", NULL, cmd_enter, "player", TRUE);
   add_cmd_check("enter", chk_can_move);
diff -ruN ../nakedmudv3.7.9/src/items/worn.c src/items/worn.c
--- ../nakedmudv3.7.9/src/items/worn.c	2009-03-02 12:39:03.000000000 -0500
+++ src/items/worn.c	2009-04-04 22:48:45.000000000 -0400
@@ -330,11 +330,15 @@
 
   // add our new python get/setters
   PyObj_addGetSetter("worn_locs", PyObj_getwornlocs, NULL,
-		     "The positions this item must be equipped to.");
+    "The position names this worn type must be equipped to. Immutable.");
   PyObj_addGetSetter("worn_type", PyObj_getworntype, PyObj_setworntype,
-		     "The type of clothing this wearable item is.");
+    "The type of worn item this is.");
   PyMudSys_addMethod("add_worn_type", PyMudSys_AddWornType, METH_VARARGS,
-		     "Adds a new worn type to the game.");
+    "add_worn_type(type, postypes)\n"
+    "\n"
+    "Register a new type of worn item. Postypes is a comma-separated list of\n"
+    "body position types this object must be equipped to e.g., \n"
+    "shirt : torso, arm, arm.");
   
   // add in our basic worn types
   worn_add_type("shirt",              "torso, arm, arm");
diff -ruN ../nakedmudv3.7.9/src/olc2/redit.c src/olc2/redit.c
--- ../nakedmudv3.7.9/src/olc2/redit.c	2009-03-02 01:00:38.000000000 -0500
+++ src/olc2/redit.c	2009-03-03 17:26:20.000000000 -0500
@@ -301,10 +301,10 @@
     text_to_buffer(sock, "What is the success chance of the reset: ");
     return RESEDIT_CHANCE;
   case '4':
-    text_to_buffer(sock, "What is the max that can exit in game (0 = no limit): ");
+    text_to_buffer(sock, "What is the max that can exist in game (0 = no limit): ");
     return RESEDIT_MAX;
   case '5':
-    text_to_buffer(sock, "What is the max that can exit in room (0 = no limit): ");
+    text_to_buffer(sock, "What is the max that can exist in room (0 = no limit): ");
     return RESEDIT_ROOM_MAX;
   case '6':
     if(resetGetType(data->reset) == RESET_SCRIPT) {
@@ -560,7 +560,7 @@
     text_to_buffer(sock, "Enter a new leave message: ");
     return EXEDIT_LEAVE;
   case '4':
-    text_to_buffer(sock, "Enter a new enterance message: ");
+    text_to_buffer(sock, "Enter a new entrance message: ");
     return EXEDIT_ENTER;
   case '5':
     socketStartEditor(sock, text_editor, exitGetDescBuffer(exit));
diff -ruN ../nakedmudv3.7.9/src/olc2/zedit.c src/olc2/zedit.c
--- ../nakedmudv3.7.9/src/olc2/zedit.c	2009-03-02 01:00:38.000000000 -0500
+++ src/olc2/zedit.c	2009-03-04 22:32:24.000000000 -0500
@@ -168,6 +168,8 @@
 
     if(locale_malformed(key))
       send_to_char(ch, "The zone name you entered was malformed.");
+    else if(!strcasecmp(arg, "new"))
+      send_to_char(ch, "'new' is not a valid zone name.");
     else if(worldGetZone(gameworld, key))
       send_to_char(ch, "A zone already exists with that key.\r\n");
     else {
diff -ruN ../nakedmudv3.7.9/src/save.c src/save.c
--- ../nakedmudv3.7.9/src/save.c	2009-03-02 01:00:39.000000000 -0500
+++ src/save.c	2009-03-21 02:09:10.000000000 -0400
@@ -163,7 +163,7 @@
   while( (obj_set = storage_list_next(list)) != NULL) {
     if(storage_contains(obj_set, "object")) {
       obj = objRead(read_set(obj_set, "object"));
-      if(!try_equip(ch, obj, read_string(obj_set, "equipped"), NULL))
+      if(!do_equip(ch, obj, read_string(obj_set, "equipped"), TRUE))
 	obj_to_char(obj, ch);
     }
   }
diff -ruN ../nakedmudv3.7.9/src/scripts/pyaccount.c src/scripts/pyaccount.c
--- ../nakedmudv3.7.9/src/scripts/pyaccount.c	2009-03-02 01:00:40.000000000 -0500
+++ src/scripts/pyaccount.c	2009-04-05 12:41:52.000000000 -0400
@@ -280,17 +280,21 @@
 
     // add all of the basic getsetters
     PyAccount_addGetSetter("name", PyAccount_getname, NULL, 
-			   "the account's name.");
+			   "The account's name. Immutable.");
 
     // add all of the basic methods
     PyAccount_addMethod("add_char", PyAccount_add_char, METH_VARARGS,
-			"adds a character to the account.");
+      "add_char(name_or_char)\n\n"
+      "Adds a new character to an account's list of registered characters.");
     PyAccount_addMethod("characters", PyAccount_characters, METH_VARARGS,
-			"lists names of all characters tied to the account.");
+      "characters()\n\n"
+      "Returns a list of names for characters registered to the account.");
     PyAccount_addMethod("getAuxiliary", PyAccount_get_auxiliary, METH_VARARGS,
-			"gets the account auxiliary data with given key.");
+      "getAuxiliary(name)\n"
+      "\n"
+      "Returns account's auxiliary data of the specified name.");
     PyAccount_addMethod("aux", PyAccount_get_auxiliary, METH_VARARGS,
-			"gets the account auxiliary data with given key.");
+      "Alias for account.Account.getAuxiliary.");
 
     // add in all the getsetters and methods
     makePyType(&PyAccount_Type, pyaccount_getsetters, pyaccount_methods);
@@ -303,8 +307,7 @@
 
     // initialize the module
     module = Py_InitModule3("account", account_module_methods,
-			    "The account module, for all MUD account-related "
-			    "stuff.");
+			    "Contains the Python wrapper for accounts.");
 
     // make sure the module parsed OK
     if (module == NULL)
diff -ruN ../nakedmudv3.7.9/src/scripts/pyauxiliary.c src/scripts/pyauxiliary.c
--- ../nakedmudv3.7.9/src/scripts/pyauxiliary.c	2008-12-19 15:55:12.000000000 -0500
+++ src/scripts/pyauxiliary.c	2009-04-05 00:41:50.000000000 -0400
@@ -136,14 +136,20 @@
   }
 
   // parse the data types that this auxiliary data installs to
-  if(is_keyword(installs_on, "character", FALSE))
+  if(is_keyword(installs_on, "character", FALSE) ||
+     is_keyword(installs_on, "char",      FALSE))
     SET_BIT(type, AUXILIARY_TYPE_CHAR);
   if(is_keyword(installs_on, "room",      FALSE))
     SET_BIT(type, AUXILIARY_TYPE_ROOM);
-  if(is_keyword(installs_on, "object",    FALSE))
+  if(is_keyword(installs_on, "object",    FALSE) ||
+     is_keyword(installs_on, "obj",       FALSE))
     SET_BIT(type, AUXILIARY_TYPE_OBJ);
-  if(is_keyword(installs_on, "account",   FALSE))
+  if(is_keyword(installs_on, "account",   FALSE) ||
+     is_keyword(installs_on, "acct",      FALSE))
     SET_BIT(type, AUXILIARY_TYPE_ACCOUNT);
+  if(is_keyword(installs_on, "socket",    FALSE) ||
+     is_keyword(installs_on, "sock",      FALSE))
+    SET_BIT(type, AUXILIARY_TYPE_SOCKET);
   // more types to come soon!!
   //***********
   // FINISH ME
@@ -164,10 +170,23 @@
 
 PyMethodDef pyauxiliary_module_methods[] = {
   { "install", PyAuxiliary_install, METH_VARARGS,
-    "installs new python auxiliary data into the mud. Auxiliary Data must "
-    "take the form of an uninstanced class that has a ClassXXX(set = None) "
-    "init function, a copy() function, a copyTo(to) function, and a store() "
-    "function" },
+    "install(name, AuxClass, installs_on)\n\n"
+    "Register new auxiliary data to the given name. Auxiliary data can be\n"
+    "installed on: character, object, room, account, socket. Auxiliary data\n"
+    "must be a class object of the following form:\n\n"
+    "  class ClassName:\n"
+    "    def __init__(self, storage_set = None)\n"
+    "      ...\n\n"
+    "    def copy(self)\n"
+    "      ...\n\n"
+    "    def copyTo(self, to)\n"
+    "      ...\n\n"
+    "    def store(self)\n"    
+    "      ...\n\n"
+    "The Store method returns a storage set representation of the data. If\n"
+    "the auxiliary data is not persistent, an empty storage set can be\n"
+    "returned. The class's init function must be able to handle reading in\n"
+    "data from a storage set, or creating a fresh instance if set = None.\n" },
   {NULL, NULL, 0, NULL}  /* Sentinel */
 };
 
